Problems Upgrading to Sp1

Vote:
 
I get the following error when upgrading from 5.1.422.4 to 5.1.422.122: Cannot install files: The installation failed, and the rollback has been performed. [Unable to get installer types in the C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll assembly.] Solution would be appreciated :)
#16022
Mar 25, 2008 19:07
Vote:
 
Make sure that EPiServer.dll (version 5.1.422.4) is located in the Global Assembly Cache (inside c:\windows\assembly)
#16826
Mar 25, 2008 19:20
Vote:
 
Yep it's in the GAC any other ideas?
#16827
Mar 25, 2008 19:20
Vote:
 
What does the log file say ( upgrade.log located in C:\Program Files\EPiServer\Manager\Download) ?
#16828
Mar 25, 2008 19:20
Vote:
 
alot :D An exception occurred while trying to find the installers in the C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll assembly. System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information. Aborting installation for C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll. An exception occurred during the Install phase. System.InvalidOperationException: Unable to get installer types in the C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll assembly. The inner exception System.Reflection.ReflectionTypeLoadException was thrown with the following error message: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.. The Rollback phase of the installation is beginning.... Rolling back assembly 'C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll'. Affected parameters are: applicationid = /LM/W3SVC/1/ROOT licensekey = assemblyfolderpath = C:\Program Files\EPiServer\Manager\Download rootdir = / vppfolderpath = logfile = C:\Program Files\EPiServer\Manager\Download/upgrade.log assemblypath = C:\Program Files\EPiServer\Manager\Download\bin\EPiServer.dll virtualdir = / An exception occurred while trying to find the installers in the C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll assembly. System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information. Aborting installation for C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll. An exception occurred during the Rollback phase of the EPiServer.Install.LazyAssemblyInstaller installer. System.InvalidOperationException: Unable to get installer types in the C:\WINDOWS\assembly\GAC_MSIL\EPiServer\5.1.422.122__8fe83dea738b45b7\EPiServer.dll assembly. The inner exception System.Reflection.ReflectionTypeLoadException was thrown with the following error message: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.. An exception occurred during the Rollback phase of the installation. This exception will be ignored and the rollback will continue. However, the machine might not fully revert to its initial state after the rollback is complete. Rolling back assembly 'C:\WINDOWS\assembly\GAC_MSIL\EPiServer.ContentChannelService\5.1.422.122__8fe83dea738b45b7\EPiServer.ContentChannelService.dll'. Affected parameters are: applicationid = /LM/W3SVC/1/ROOT licensekey = assemblyfolderpath = C:\Program Files\EPiServer\Manager\Download rootdir = / vppfolderpath = logfile = C:\Program Files\EPiServer\Manager\Download/upgrade.log assemblypath = C:\Program Files\EPiServer\Manager\Download\bin\EPiServer.dll virtualdir = /
#16829
Mar 25, 2008 19:21
Vote:
 
I actually meant for you to check the the upgrade.log file and look for any error messages!! I've removed the most of the log information in your post cause you actually posted the username and password to your database... The lines I left are the lines that are relevant regarding installation failure. Could you try deleting content inside C:\Program Files\EPiServer\Manager\Download and try running upgrade again?
#16830
Mar 25, 2008 19:21
Vote:
 
ah oki, sure, you can delete my whole post if you'd like (since I cannot edit it) I will try and remove all files from download and try again
#16831
Mar 25, 2008 19:21
Vote:
 
Now i cannot run upgrade since my site doesn't build anymore and I've got a feeling it has something to do with the failed upgrade: Line 150: Line 151: Line 152: Line 153: Line 154:
#16832
Mar 25, 2008 19:21
Vote:
 
and the error message: Compiler Error Message: CS0234: The type or namespace name 'Personalization' does not exist in the namespace 'EPiServer' (are you missing an assembly reference?)
#16833
Mar 25, 2008 19:21
Vote:
 
löst det felet nu, så nu är jag tebax i början igen på samma fel: Cannot install files: The installation failed, and the rollback has been performed. [Unable to get installer types in the C:\...\Temp\temp_epi_6bf9bcb9-d4b5-47dd-baaa-06fc670461b7\bin\EPiServer.dll assembly.]
#16834
Mar 25, 2008 19:21
Vote:
 
Både offline och online installation ger samma fel: Cannot install files: The installation failed, and the rollback has been performed. [Unable to get installer types in the C:\Program Files\EPiServer\Manager\Download\bin\EPiServer.dll assembly.]
#16835
Mar 25, 2008 19:21
Vote:
 
It solved itself somehow, dunno why though
#16836
Mar 25, 2008 19:21
Vote:
 
Removed the db information from the pasted logfile. /Steve
#16837
Mar 25, 2008 19:21
Vote:
 

I get the exact same error message, while trying to install a brand new site on a Windows Server 2000 box, Episerver 5.1.422.122 with EpiServer Manager 2.0.19.4. .NET Framework 1.1 and 2.0 are installed, and the database is Sql Server 2000.

I've tried removing all content in download. I've tried both online and offline installation, I've tried with EpiServer 5.1.422.4, I've tried deleting Episerver-dlls in the GAC, and also tried installing Episerver-dll:s from another site in the GAC.

The upgrade.log is identical as the one posted earlier:

"The inner exception System.Reflection.ReflectionTypeLoadException was thrown with the following error message: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information..".

Any thoughts?

/ Thomas

#19378
Apr 09, 2008 12:50
Vote:
 

At the EPiServer CMS SP1 installation/download page the following prerequisites are listed:

  • .NET Framework 3.0
  • SQL Server 2000 / 2005
  • Windows 2003 Server / Windows XP 

Installation on Windows Server 2000 is not supported.

#19380
Apr 09, 2008 13:14
Vote:
 

Thank you. Obviously I never read the prerequisites ...

How about adding a dialog in EPiServer Manager? "Installation on this system is not supported, because of the following reasons: ..."

 

#19410
Apr 10, 2008 15:55
Vote:
 
I had the same error, on a Windows 2003 Server, when trying to make a fresh install of CMS 5 SP1. In my case, installing the .NET Framework 3.0 fixed it (I thought it was already installed, but it wasn't). Detecting this prerequisite in the EPiServer Manager would be a useful feature.
#19570
Edited, Apr 17, 2008 14:55
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.